# Uses of Interface
net.shibboleth.idp.attribute.resolver.dc.saml.impl.AttributeAuthorityEntityIDResolver

Packages that use AttributeAuthorityEntityIDResolver
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.
net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl
Plug-in component interface implementations used when querying a SAML attribute authority.

## Uses of AttributeAuthorityEntityIDResolver in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl declared as AttributeAuthorityEntityIDResolver
Modifier and Type
Field
Description
`private AttributeAuthorityEntityIDResolver`
ExecutableQueryBuilder.`authorityEntityIDStrategy`
Strategy for resolving the authority entityID.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return AttributeAuthorityEntityIDResolver
Modifier and Type
Method
Description
`AttributeAuthorityEntityIDResolver`
ExecutableQueryBuilder.`getAuthorityEntityIDStrategy()`
Get the attribute authority entity ID resolution strategy.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type AttributeAuthorityEntityIDResolver
Modifier and Type
Method
Description
`void`
ExecutableQueryBuilder.`setAuthorityEntityIDStrategy(AttributeAuthorityEntityIDResolver strategy)`
Set the attribute authority entity ID resolution strategy.

## Uses of AttributeAuthorityEntityIDResolver in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl

Classes in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl that implement AttributeAuthorityEntityIDResolver
Modifier and Type
Class
Description
`class`
`ChainingAuthorityEntityIDResolver`
An implementation of `AttributeAuthorityEntityIDResolver` which implements a chain-of-responsibility pattern using a list of configured resolvers.
`class`
`ContextAuthorityEntityIDResolver`
An implementation of `AttributeAuthorityEntityIDResolver` which resolves from the `AttributeAuthorityEntityIDContext` child of the input `AttributeResolutionContext` if present.
Fields in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl with type parameters of type AttributeAuthorityEntityIDResolver
Modifier and Type
Field
Description
`private List<AttributeAuthorityEntityIDResolver>`
ChainingAuthorityEntityIDResolver.`resolvers`
List of chain members.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl that return types with arguments of type AttributeAuthorityEntityIDResolver
Modifier and Type
Method
Description
`List<AttributeAuthorityEntityIDResolver>`
ChainingAuthorityEntityIDResolver.`getResolvers()`
Get the list of chain members.
Method parameters in net.shibboleth.idp.attribute.resolver.dc.saml.plugin.impl with type arguments of type AttributeAuthorityEntityIDResolver
Modifier and Type
Method
Description
`void`
ChainingAuthorityEntityIDResolver.`setResolvers(List<AttributeAuthorityEntityIDResolver> chain)`
Set the list of chain members.